#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofBackground(255, 255, 255);
  
  ofSetVerticalSync(true);
	
	//myImage.loadImage(...);
	myImage.allocate(400,400,OF_IMAGE_GRAYSCALE);
	

}

//--------------------------------------------------------------
void testApp::update(){
	
	
	unsigned char * pixels = myImage.getPixels();
	
	
	for (int i = 0; i < myImage.width; i++){
		for (int j = 0; j < myImage.height; j++){
      
      // Zach Samples
			
			//pixels[ j * myImage.width + i ] = 127 + 127 * sin(i / (3.0 + j/50.0));
			//pixels[ j * myImage.width + i ] = i * j;
			//pixels[ j * myImage.width + i ] = i % (j + 1);
		
			/*if (ofDist( i,j, mouseX, mouseY) > 250){
				pixels[ j * myImage.width + i ] = 0;
			} else {
				pixels[ j * myImage.width + i ] = (1 - ofDist( i,j, mouseX, mouseY) / 250.0f) * 255;
			}*/
      
      // NF Work
      
      // fractal circles
			//pixels[ j * myImage.width + i ] = i * i + j * j;
			//pixels[ j * myImage.width + i ] = (i * i + j * j) * (mouseX / 2.0);
      
      // static stripes
      //pixels[ j * myImage.width + i ] = (i*i*i + j);
      //pixels[ j * myImage.width + i ] = (i*i*i + j * ofGetElapsedTimef());
      
      // #1 bouncing vertical static
      pixels[ j * myImage.width + i ] = (i*i*i + j * sin(ofGetElapsedTimef()));

      // mandlebrot?
      //pixels[ j * myImage.width + i ] =  ( (i/2.0) * ( 1.0 - (i/2.0) * j * j) );

      // oscillating diagonal - planned this one!
      //pixels[ j * myImage.width + i ] =  (i/400.0 * (sin(ofGetElapsedTimef()) * 255)) + (j/400.0 * 255);
      //pixels[ j * myImage.width + i ] =  (i/400.0 * (sin(ofGetElapsedTimef()) * 255)) + (j/400.0 * (sin(ofGetElapsedTimef()) * 255));
      
      // #3 !!! rotating diagonal gradient
      //pixels[ j * myImage.width + i ] =  (i/400.0 * (sin(ofGetElapsedTimef()) * 255)) + (j/400.0 * (cos(ofGetElapsedTimef()) * 255));
      
      // #2 zooming fractal circles
      //pixels[ j * myImage.width + i ] =  (i * i/2400.0 * (sin(ofGetElapsedTimef()) * 255)) + (j * j/2400.0 * (sin(ofGetElapsedTimef()) * 255));

      
		
		}
	}
	
	myImage.update();
	
	

}

//--------------------------------------------------------------
void testApp::draw(){

	
	myImage.draw(0,0);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

